package de.renew.plugin.command;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertDoesNotThrow;
import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNull;


public class NoOpCommandTest {

    @Test
    public void testGetArguments() {
        assertNull(new NoOpCommand().getArguments());
    }

    @Test
    public void testGetDescription() {
        assertEquals("", new NoOpCommand().getDescription());
    }

    @Test
    public void testExecute() {
        assertDoesNotThrow(() -> new NoOpCommand().execute(null, null));
    }


}
